package org.expressolivre.cte.calendar;

import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentPage;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.2] Adicionar Compromisso
 * 
 * Caso de Teste: EL-938:Adicionar compromisso
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-938
 * 
 * Caso de Teste: EL-939:Adicionar compromisso do tipo privado
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-939
 * 
 * Caso de Teste: EL-1265:Adicionar compromisso do tipo restrito
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1265
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Feb 8, 2011 at 9:36:08 AM
 * 
 */
public class AdicionarCompromissoTestCase extends BaseCalendarTestCase {

	@Parameters({ "tipo", "titulo", "horaInicial", "minutoInicial",
			"horaFinal", "minutoFinal", "prioridade" })
	@Test
	public void adicionarCompromissoDataCorrente(
			@Optional("Normal") String tipo, String titulo, String horaInicial,
			String minutoInicial, String horaFinal, String minutoFinal,
			@Optional("Normal") String prioridade) {

		// Pega data corrente.
		Calendar cal = Calendar.getInstance();
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");

		AppointmentPage ap = super.adicionarCompromisso(
				sdf.format(cal.getTime()), tipo, titulo,
				sdf2.format(cal.getTime()), horaInicial, minutoInicial,
				sdf2.format(cal.getTime()), horaFinal, minutoFinal, prioridade);

		ap.saveAppointment();
	}
}
