package org.expressolivre.cte.calendar;

import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
import org.expressolivre.cte.pages.calendar.CalendarTodayViewPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Caso de Teste: EL-964:Exibir compromisso
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-964
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jul 25, 2011 at 10:37:43 AM
 * 
 */
public class ExibirCompromissoTestCase extends BaseCalendarTestCase {

	@Parameters({ "tipo", "titulo", "inicio", "fim", "prioridade" })
	@Test
	public void exibirCompromisso(String tipo, String titulo, String inicio,
			String fim, String prioridade) {
		CalendarTodayViewPage ctvp = super.openTodayView();
		String id = ctvp.getAppointmentId(titulo);

		Calendar cal = Calendar.getInstance();
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
		String today = sdf.format(cal.getTime());

		AppointmentViewPage avp = cp.openAppointmentViewPage(id);
		Assert.assertEquals(avp.getTitle(), titulo);
		Assert.assertEquals(avp.getStartTime(), today + " - " + inicio);
		Assert.assertEquals(avp.getEndTime(), today + " - " + fim);
		Assert.assertEquals(avp.getPriority(), prioridade);
	}
}
