package org.expressolivre.cte.email.filtro;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailFilterPage;
import org.openqa.selenium.By;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.7] Gerenciar Filtros
 * 
 * Caso de Teste: EL-1264:Excluir filtro fora do escritorio
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1264
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jul 13, 2011 at 3:19:34 PM
 * 
 */
public class ExcluirFiltroForaDoEscritorioTestCase extends BaseEmailTestCase {

	@Test
	public void excluirFiltroForaDoEscritorio() throws Exception {
		mp.assertMessage(MSG_EMAIL_FILTRO_FORA_ESCRITORIO_ATIVADO);

		MailFilterPage mfp = mp.editFilter();
		mfp.selectOutOfOfficeFilterRule();
		mfp.deleteFilters();

		// Garantir que a regra foi excluida e nao aparece na tela.
		Assert.assertFalse(mfp.isElementPresent(By.id("out_0")));

		mp.waitLoading();

		mp.isNotDisplayed(mp.waitFindElement(By.id("em_div_write_msg"), 5000,
				1000));

	}
}
